"
I represent a Pharo code node inside a Grafoscopio notebook as a 
embedded interactive Playground.
"
Class {
	#name : #GrafoscopioCodeModel,
	#superclass : #ComposableModel,
	#instVars : [
		'body'
	],
	#category : #'Grafoscopio-UI'
}

{ #category : #specs }
GrafoscopioCodeModel class >> defaultSpec [

	^ SpecLayout composed add: #body
]

{ #category : #accessing }
GrafoscopioCodeModel >> body [
	^ body
]

{ #category : #accessing }
GrafoscopioCodeModel >> body: anObject [
	body := anObject
]

{ #category : #API }
GrafoscopioCodeModel >> content: aGrafoscopioNodeContent [

	body
		presentationClass: GTPlayground
		startOn: (GTPlayPage new saveContent: aGrafoscopioNodeContent)
]

{ #category : #initialization }
GrafoscopioCodeModel >> initializeWidgets [

	body := GlamourPresentationModel new.
]
